<?php
header ('Content-type: application/json');
session_start();
// BBDD Mercafruit
$conexion2 = odbc_connect('ResdisEnlace', 'resdis', '00reset') or die(odbc_errormsg());

$rescentro = "BCN";
$serie = "PED";
$usuario = "srvpedidos";
$usuario_carrito='online';
$rescentro='BCN';

$client = $_SESSION["codigo"];

$idEmpresa = ("80");

$FileImput = file_get_contents ('php://input');




/*************************    VENTAAUTORIZADA ******************************************/
$sql2 = "SELECT _autorizarVenta ('1','$client','O') as respuesta FROM FSEMPRES WHERE COD_EMPRES= '" . $idEmpresa . "'";
$autorizaVenta = odbc_exec($conexion2, $sql2);
if (odbc_result($autorizaVenta,"respuesta") == 'F' ){
   $json_ret = array ('RESP'=>'NOAUTORIZA');	
   $retorno = json_encode ($json_ret);
   echo $retorno;

}else{
/*************************FIN VENTAAUTORIZADA ******************************************/
$detalles = (array)json_decode($FileImput);
$fecha_entrega = date("Y-m-d H:i:s");
$ahora = date("Y-m-d H:i:s");   
$fecha_entrega_dba = date("Y-m-d H:i:s");
$hoy = (date("m/d/Y"));
$dia_entrega =date("Y-m-d");
$dia_entrega = (date("m/d/Y",strtotime($dia_entrega)));
$dia_entrega = date("D",strtotime($dia_entrega));
$ano_ejercicio = date("Y",strtotime($dia_entrega));
$fecha_hoy = date("d/m/Y");
/************************* BUSCAMOS ULTIMO NUMERO DE PEDIDO ******************************************/
$contador = 0;
$sql_contador = "SELECT MAX(con_contad) as contador  from fscontad  where emp_contad = '".$idEmpresa."' AND cod_contad='PEDIDOS' AND  swb_contad='O' AND any_contad=".$ano_ejercicio.";";

$res_contador = odbc_exec($conexion2, $sql_contador);
$contador = odbc_result($res_contador,"contador");


$sql_contador = "UPDATE fscontad  set con_contad = con_contad + 1  where emp_contad = '".$idEmpresa."' AND cod_contad='PEDIDOS' AND  swb_contad='O' AND any_contad=".$ano_ejercicio.";";

$res_contador = odbc_exec($conexion2, $sql_contador);

$numero_pedido=$contador;
/*************************FIN NUMERO DE PEDIDO ********************************************************/

/********************************DATOS DE RUTA *******************************/
                $sql2 = "SELECT * FROM fsclient WHERE cod_client = '" . $client . "'";
                $res = odbc_exec($conexion2, $sql2);
                $codcli = $client;
                $estadoped = 2;
                $direntrega = odbc_result($res, "den_client");
                $codruta = trim(odbc_result($res, "codruta"));
                $ordenruta = odbc_result($res, "ordruta");
				if(!$ordenruta) {
					$ordenruta = "0";
				}
				if(!$codruta) {
					$codruta = "SinRuta";
				}

/*FIN*******************************DATOS DE RUTA *******************************/



/************ LINEAS ***************************************************/
	   $linea=0;
       foreach ($detalles as $detalle ) 
       {
echo $linea;		   
		   if ($linea==0){
				/**********************************CABECERA ***************************************/
				$ins_cabecera ="INSERT INTO fscabped (emp_cabped,num_cabped,fec_cabped,ser_cabped,cli_cabped,sta_cabped,swb_cabped,usu_cabped,rut_cabped) VALUES ('$idEmpresa', $numero_pedido,'$fecha_hoy','$fecha_hoy','$client', 'P', 'O', 'PEDIDO APP', '$codruta')  ";
echo $ins_cabecera;
				 $res_ins_cabecera=odbc_exec($conexion2, $ins_cabecera);
				 odbc_free_result ($res_ins_cabecera);
				 
				/*FIN******************************CABECERA ***************************************/ 			   
		   }
            /**$detalle[0] = str_replace ("\xc3\x91","¥",$detalle[0]);  **/
            $detalle[0] = utf8_encode($detalle[0]);
                        $articulo      = $detalle[0];
                        $cantidad      = $detalle[1];
                        $codmedida     = $detalle[3];
                        $codmedida = 'CJ';
                        
			$linea++;
			$ins_lineas =" INSERT INTO fslinped ( emp_linped,num_linped,fec_linped,ser_linped,cli_linped,sta_linped,nli_linped,art_linped,can_linped,swb_linped,uni_linped,bul_linped) VALUES  ('$idEmpresa',$numero_pedido,'$fecha_hoy','$fecha_hoy','$client','P',$linea,'$articulo',$cantidad,'O','$codmedida',$cantidad);";
echo $ins_lineas;			
			$res_ins_lineas=odbc_exec($conexion2, $ins_lineas);
	   }
/*FIN******** LINEAS ***************************************************/	   
$json_ret = array ('RESP'=>'CORRECTO');	
$retorno = json_encode ($json_ret);
echo $retorno;
}